Page 1 of 1

Compile ReactOS 0.2.0 explorer.exe from source

Posted: Sun Nov 15, 2020 9:22 am
by Ootu
Hi, I'm trying add wallpaper support to explorer.exe from ReactOS while running under windows 10, but before I get that far I need to know how you compile explorer.exe, All I know is that the source code for ReactOS explorer is located in reactos-0.2.0-source.zip\subsys\system\explorer. Also the reason I'm using 0.2.0 is because it runs without any other files or dlls needed such as notifyhook.dll and supports colors as the background already unlike explorer_old.exe. Thanks in advance :)

Re: Compile ReactOS 0.2.0 explorer.exe from source

Posted: Sun Nov 15, 2020 8:06 pm
by oldman
I suggest that you ask question in Mattermost. You will get a faster response.
Use your forum name and password to log in.

Re: Compile ReactOS 0.2.0 explorer.exe from source

Posted: Mon Nov 16, 2020 8:30 am
by Ootu
oldman wrote: Sun Nov 15, 2020 8:06 pm I suggest that you ask question in Mattermost. You will get a faster response.
Use your forum name and password to log in.
Ok, thanks for the tip.

Re: Compile ReactOS 0.2.0 explorer.exe from source

Posted: Tue Nov 17, 2020 3:45 pm
by binarymaster
Ootu wrote: Sun Nov 15, 2020 9:22 am Also the reason I'm using 0.2.0 is because it runs without any other files or dlls needed such as notifyhook.dll and supports colors as the background already unlike explorer_old.exe.
Current explorer implementation does not depend on notifyhook.dll, it's needed only for explorer_old.

Re: Compile ReactOS 0.2.0 explorer.exe from source

Posted: Sun Nov 22, 2020 4:53 am
by Ootu
binarymaster wrote: Tue Nov 17, 2020 3:45 pm
Ootu wrote: Sun Nov 15, 2020 9:22 am Also the reason I'm using 0.2.0 is because it runs without any other files or dlls needed such as notifyhook.dll and supports colors as the background already unlike explorer_old.exe.
Current explorer implementation does not depend on notifyhook.dll, it's needed only for explorer_old.
Ok thanks for that information, I genuinely didn't know that. However I'd still like to use explorer.exe from 0.2.0 because it runs flawlessly on windows 10 without any compatibility mode, and runs better than explorer_old.